data:extend({

  {
    type = "roboport",
    name = "Robot-Charge-Station",
    icon = "__Robo-Charge__/Robot-Charge-Station-icon.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "Robot-Charge-Station"},
    max_health = 200,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      input_flow_limit = "2MW",
      buffer_capacity = "48MJ"
    },
    recharge_minimum = "20MJ",
    energy_usage = "200kW",
    -- per one charge slot
    charging_energy = "200kW",
    logistics_radius = 10,
    construction_radius = 15,
    charge_approach_distance = 3,
    robot_slots_count = 0,
    material_slots_count = 0,
    stationing_offset = {0, 0},
    charging_offsets =
    {
      {-0.5, -2}, {0.5, -2}, {0.5, -1}, {-0.5, -1},
    },
    base =
    {
      filename = "__Robo-Charge__/Robot-Charge-Station.png",
      width = 142,
      height = 128,
      shift = {1.4, -1.0}
    },
	base_patch =
    {
      filename = "__Robo-Charge__/1x1.png",
      priority = "medium",
      width = 1,
      height = 1,
      frame_count = 1
    },
    base_animation =
    {
      filename = "__Robo-Charge__/1x1.png",
      priority = "low",
      width = 0,
      height = 0,
      frame_count = 1,
      animation_speed = 0,
      shift = {-0.5315, -1.9375}
    },
    door_animation_up =
    {
      filename = "__Robo-Charge__/1x1.png",
      priority = "low",
      width = 0,
      height = 0,
      frame_count = 1,
      shift = {0, -0.6}
    },
	door_animation_down =
    {
      filename = "__Robo-Charge__/1x1.png",
      priority = "low",
      width = 0,
      height = 0,
      frame_count = 1,
      shift = {0, -0.6}
    },
    recharging_animation =
    {
      filename = "__base__/graphics/entity/roboport/roboport-recharging.png",
      priority = "high",
      width = 37,
      height = 35,
      frame_count = 16,
      scale = 1.5,
      animation_speed = 0.5
    },
    recharging_light = {intensity = 0.4, size = 5},
    request_to_open_door_timeout = 15,
    spawn_and_station_height = 0.33,
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-radius-visualization.png",
      width = 12,
      height = 12
    },
    construction_radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-construction-radius-visualization.png",
      width = 12,
      height = 12
    }
  }

})